XmlPackage (TestNG)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.testng.xml
Class XmlPackage

    java.lang.Object
      org.testng.xml.XmlPackage

All Implemented Interfaces:
  java.io.Serializable

    public class XmlPackage

extends java.lang.Object
implements java.io.Serializable

This class describes the tag in testng.xml.

Author:
  Cedric, Alexandru Popescu
See Also:
  Serialized Form

Constructor Summary
`XmlPackage()`
`XmlPackage(java.lang.String name)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.util.List<java.lang.String>` | `getExclude()`
`java.util.List<java.lang.String>` | `getInclude()`
`java.lang.String` | `getName()`
`java.util.List<XmlClass>` | `getXmlClasses()`
`int` | `hashCode()`
`void` | `setExclude(java.util.List<java.lang.String> exclude)`
`void` | `setInclude(java.util.List<java.lang.String> include)`
`void` | `setName(java.lang.String name)`
`java.lang.Object` | `toXml(java.lang.String indent)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlPackage

    public XmlPackage()

### XmlPackage

    public XmlPackage(java.lang.String name)

Method Detail

### getExclude

    public java.util.List<java.lang.String> getExclude()

  Returns:
    the exclude

### setExclude

    public void setExclude(java.util.List<java.lang.String> exclude)

  Parameters:
    `exclude` - the exclude to set

### getInclude

    public java.util.List<java.lang.String> getInclude()

  Returns:
    the include

### setInclude

    public void setInclude(java.util.List<java.lang.String> include)

  Parameters:
    `include` - the include to set

### getName

    public java.lang.String getName()

  Returns:
    the name

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - the name to set

### getXmlClasses

    public java.util.List<XmlClass> getXmlClasses()

### toXml

    public java.lang.Object toXml(java.lang.String indent)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD